sequence.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/rel.hh>`
`#include <gecode/int/sequence/set-op.hpp>`
`#include <gecode/int/sequence/violations.hpp>`
`#include <gecode/int/sequence/int.hpp>`
`#include <gecode/int/sequence/view.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Sequence::ViewValSupportArray< View, Val, iss >
| An array of ViewValSupport data structures. More...
class | Gecode::Int::Sequence::Sequence< View, Val >
| Sequence propagator for array of integers More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Sequence
| Sequence propagators